Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.jts.extensions
Class DebugTxAssociation

    java.lang.Object
      com.arjuna.ats.jts.extensions.DebugTxAssociation

All Implemented Interfaces:
  TxAssociation

public class DebugTxAssociation
extends java.lang.Object
implements TxAssociation

Whereas TxAssociation classes are on a per thread basis, insances of this type apply to all threads.

Since:
  JTS 2.0.
Version:
  $Id: DebugTxAssociation.java 2342 2006-03-30 13:06:17Z $
Author:
  Mark Little (mark@arjuna.com)

Constructor Summary
`DebugTxAssociation()`

Method Summary
`void` | `begin(com.arjuna.ats.internal.jts.ControlWrapper tx)`
`void` | `commit(com.arjuna.ats.internal.jts.ControlWrapper tx)`
`java.lang.String` | `name()`
`void` | `resume(com.arjuna.ats.internal.jts.ControlWrapper tx)`
`void` | `rollback(com.arjuna.ats.internal.jts.ControlWrapper tx)`
`void` | `suspend(com.arjuna.ats.internal.jts.ControlWrapper tx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DebugTxAssociation

    public DebugTxAssociation()

Method Detail

### begin

    public void begin(com.arjuna.ats.internal.jts.ControlWrapper tx)
               throws org.omg.CORBA.SystemException

  Specified by:
    `begin` in interface `TxAssociation`
  Throws:
    `org.omg.CORBA.SystemException`

### commit

    public void commit(com.arjuna.ats.internal.jts.ControlWrapper tx)
                throws org.omg.CORBA.SystemException

  Specified by:
    `commit` in interface `TxAssociation`
  Throws:
    `org.omg.CORBA.SystemException`

### rollback

    public void rollback(com.arjuna.ats.internal.jts.ControlWrapper tx)
                  throws org.omg.CORBA.SystemException

  Specified by:
    `rollback` in interface `TxAssociation`
  Throws:
    `org.omg.CORBA.SystemException`

### suspend

    public void suspend(com.arjuna.ats.internal.jts.ControlWrapper tx)
                 throws org.omg.CORBA.SystemException

  Specified by:
    `suspend` in interface `TxAssociation`
  Throws:
    `org.omg.CORBA.SystemException`

### resume

    public void resume(com.arjuna.ats.internal.jts.ControlWrapper tx)
                throws org.omg.CORBA.SystemException

  Specified by:
    `resume` in interface `TxAssociation`
  Throws:
    `org.omg.CORBA.SystemException`

### name

    public java.lang.String name()

  Specified by:
    `name` in interface `TxAssociation`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD